<?php
/**
 * @author Clark Tomlinson
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\Firewall;

class Log
{

    /**
     * write a firewall event into the log
     *
     * @param $txt
     */
    public static function write($txt)
    {
        if (\OCA\Firewall\Config::isLogEnabled()) {
            \OC::$server->getLogger()->info($txt, array('app' => 'firewall'));
        }
    }

}
