<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 10/30/14, 3:09 PM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */

namespace OCA\Firewall\Rules;


use OCA\Firewall\Rules\Contracts\Rule;

class AppFile extends Rule {

	/**
	 * Return whether the request passes the check or not
	 *
	 * @param object $rule
	 * @return boolean True if the check passes, false if the check fails
	 */
	public function doCheck($rule) {

		return $this->assert($rule, $this->criteria['app']);
	}
}