<?php

namespace OCA\Firewall\Rules;

use OCA\Firewall\Rules\Contracts\Rule;

/**
 * Class TypeUp
 *
 * @package OCA\Firewall\Rules
 *
 * Sample rule - Request must upload a specific mime type:
 *
 * {
 *   "type": "condition",
 *   "check": "typeup",
 *   "mime": "text/plain"
 * }
 *
 */
class TypeUp extends Rule {

	public function doCheck($rule) {
		if (!empty($_FILES)) {
			return $this->assert($rule, $_FILES['files']['type'][0]);
		}
		return true;
	}
}
