<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 2/2/15, 2:48 PM
 * @copyright 2015 ownCloud, Inc.
 *
 * This file is licensed under the Affero General Public License version 3 or later.
 * See the COPYING-README file.
 */

namespace OCA\Firewall\Tests\Rules;


use OCA\Firewall\Rules\DeviceType;
use OCA\Firewall\Tests\Helpers\RuleTester;

class DeviceTypeTest extends RuleTester {
	public function setUp() {
		parent::scaffold();

		// Setup data
		$criteria = ['agent' => 'desktop'];

		$this->rule = new DeviceType($this->ruler, $criteria);

	}

	public function testDoCheck() {

		$this->ruleMock->value = 'desktop';

		$this->assertTrue($this->rule->doCheck($this->ruleMock));
	}


}
