<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

/** @var $l OC_L10N */
/** @var $_ array */
?>
<div class="section">
	<form id="shibboleth" action="#" method="post">
		<h2><?php p($l->t('Shibboleth'));?></h2>

		<label for="shibboleth_active"><?php p($l->t('Activate Shibboleth'));?></label>
		<input type="checkbox" id="shibboleth_active" name="shibboleth_active" value="1"
			<?php if ($_['shibboleth_active']): ?> checked="checked"<?php endif; ?>><br/>

		<input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']) ?>" id="requesttoken">
		<br/>
		<input type="submit" value="Save" />

	</form>
	<table class="server-env">
		<tr>
			<th><?php p($l->t('Server Environment:'));?></th>
			<th></th>
		</tr>
		<?php foreach($_['env'] as $k => $v) { ?>
			<tr>
				<td><?php p($k)?></td>
				<td><?php p($v)?></td>
			</tr>
		<?php } ?>
	</table>
</div>
