<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 10/30/14, 1:08 PM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */
namespace OCA\Firewall\AppInfo;

use OC;
use OCA\Firewall\Rules;
use OCP\App;
use OCP\Util;

if(!\OCP\App::isEnabled('enterprise_key') && !getenv('TRAVIS')) {
	// Enable accidentally disabled license app. Can happen during upgrade.
	Util::writeLog('firewall', 'Enabling Enterprise license app which was deactivated.', Util::ERROR);
	\OC_App::enable('enterprise_key');
} else {
	if (!OC::$CLI) {
		$app = new Application();
		$app->boot();
	}
}
