<?php
/**
 * @author Clark Tomlinson  <clark@owncloud.com>
 * @since 10/30/14, 1:08 PM
 * @copyright 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/
 */
use OCA\Firewall\AppInfo\Application;

$application = new Application();
$application->registerRoutes($this, array('routes' => array(

	array(
		'name' => 'rules#save',
		'url' => '/ajax/save',
		'verb' => 'POST'
	),
	array(
		'name' => 'rules#debug',
		'url' => '/ajax/debug',
		'verb' => 'POST'
	),
	array(
		'name' => 'rules#getUIData',
		'url' => '/ajax/getUIData',
		'verb' => 'GET'
	),
	array(
		'name' => 'rules#getGroups',
		'url' => '/ajax/getGroups',
		'verb' => 'GET'
	)


)));