<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

/**
 * This is the basic attribute mapping - these are the keys to be used when reading
 * user information from $_SERVER.
 *
 * This very simple mapping below is valid for testshib.org
 *
 */
namespace OCA\user_shibboleth {
	const SHIB_SESSION_ID = 'Shib-Session-ID';
	const SHIB_EPPN = 'eppn';
	const SHIB_EMAIL =  'eppn';
	const SHIB_DISPLAY_NAME = 'eppn';
}

